portal = context.getPortalObject()
person = portal.portal_membership.getAuthenticatedMember().getUserValue()

request = context.REQUEST

context.requestEvent(
  event_title=title,
  event_content=text_content,
  event_source=person.getRelativeUrl()
)

event_relative_url = request.get('event_relative_url')
return portal.restrictedTraverse(event_relative_url).Base_redirect()
